Security update for openstack-nova

SUSE Security Update: Security update for openstack-nova
Announcement ID: SUSE-SU-2014:0149-1
Rating: moderate
References: #847648 #848825
Affected Products:
  • SUSE Cloud 2.0

  • An update that fixes two vulnerabilities is now available. It includes one version update.


    This version update of openstack-nova fixes the following

    * Ensure that oversized images are not booted.
    * Ensure that XenAPI security groups are kept through
    migrate or resize. (CVE-2013-4497)

    Security Issues references:

    * CVE-2013-4463
    * CVE-2013-4497


    Everybody should update.

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Cloud 2.0:
      zypper in -t patch sleclo20sp3-openstack-nova-8676

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Cloud 2.0 (x86_64) [New Version: 2013.1.5.a17.g4655df1]:
    • openstack-nova-2013.1.5.a17.g4655df1-0.7.1
    • openstack-nova-api-2013.1.5.a17.g4655df1-0.7.1
    • openstack-nova-cells-2013.1.5.a17.g4655df1-0.7.1
    • openstack-nova-cert-2013.1.5.a17.g4655df1-0.7.1
    • openstack-nova-compute-2013.1.5.a17.g4655df1-0.7.1
    • openstack-nova-conductor-2013.1.5.a17.g4655df1-0.7.1
    • openstack-nova-console-2013.1.5.a17.g4655df1-0.7.1
    • openstack-nova-consoleauth-2013.1.5.a17.g4655df1-0.7.1
    • openstack-nova-novncproxy-2013.1.5.a17.g4655df1-0.7.1
    • openstack-nova-objectstore-2013.1.5.a17.g4655df1-0.7.1
    • openstack-nova-scheduler-2013.1.5.a17.g4655df1-0.7.1
    • openstack-nova-vncproxy-2013.1.5.a17.g4655df1-0.7.1
    • python-nova-2013.1.5.a17.g4655df1-0.7.1